Subject: bug#37352: 27.0.50; recursive-edit aborts on elisp error after evaluation

From: Jean Louis <[email-masked]>
Date: Sun, 22 Sep 2019 15:04:24 +0200

* Lars Ingebrigtsen <[email-masked]> [2019-09-22 15:00]:
> Jean Louis <[email-masked]> writes:
> 
> > That is probably better defined bug.
> >
> > The eval-expression-debug-on-error when T or NIL shall not interrupt
> > the recursive-edit if there is error in evaluation. The debug window
> > could be finalized or abandoned, and then the old window shall
> > continue processing the text edited.
> >
> > If you think that is not a bug, let me know. Then I can implement it
> > in my function and avoid the problem.
> 
> I don't think it's a bug -- the `q' command in the debugging buffer
> is documented to Quit debugging and return to the top level.

After the 'q' command, recursive-edit is interrupted. So why would
that be interrupted? There is no reason that I see.